Download it now!
Bug 132326 - CRASH: undoing paste of frames
Summary: CRASH: undoing paste of frames
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-04-22 13:25 UTC by Xisco Faulí
Modified: 2020-06-24 16:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (20.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-22 13:25 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-04-22 13:25:28 UTC
Created attachment 159814 [details]
sample file

Found while creating a unittest for bug 129805

Steps to reproduce:
1. Open attached document
2. Select all
3. Copy -> bug 129805
4. Paste
5. Undo
6. Paste
7. Undo

-> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 850b8de31c5be5127eac16a4f5cc18c26a582e53
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-04-22 13:26:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6c7245e789f973cf6dad03f7008ab3f9d12d350c

author	Michael Stahl <Michael.Stahl@cib.de>	2020-04-07 18:33:34 +0200
committer	Michael Stahl <michael.stahl@cib.de>	2020-04-08 10:57:52 +0200
commit	6c7245e789f973cf6dad03f7008ab3f9d12d350c (patch)
tree	dabb268bf9cd66124698965ba4a1224d2bae9994
parent	969ebe1c5801fa194ee29ffc7abfad7363ebd08f (diff)
tdf#131684 sw_redlinehide: fix SwUndoDelete for entire doc in section

Bisected with: bibisect-linux64-6.5

Adding Cc: to Michael Stahl
Comment 2 Xisco Faulí 2020-04-22 14:39:37 UTC
Another way to reproduce it:

1. Select all
2. Cut
3. Undo
4. Paste
5. Undo
Comment 3 Commit Notification 2020-06-19 14:43:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a60dd9ef1361c5925803acaa5292e99277d1faf3

tdf#132326 sw_redlinehide: no frames allowed in Undo SwNodesArray

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2020-06-19 14:49:06 UTC
fixed on master
Comment 5 Commit Notification 2020-06-19 17:53:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/461e9f2ad21046526c6644136f0abda91b0e4798

tdf#132326 sw_redlinehide: no frames allowed in Undo SwNodesArray

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-19 23:23:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/088324bbd391c858dd17832708b465eb5b6046e6

tdf#132326 sw_redlinehide: no frames allowed in Undo SwNodesArray

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-06-22 12:19:43 UTC
I tried to create a unittest for this but it turned out it only crashes with gtk3 and not with gen so no way to create a unittest with the document attached

Verified in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-06-24 14:29:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/f4b6ac83a7cd08c5314d3c1a93af845f3996b34a

tdf#132326 sw_redlinehide: no frames allowed in Undo SwNodesArray

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.